
TYPO3.Flow - Bug # 30436

Status: Resolved Priority: Must have
Author: Christopher Hlubek Category:
Created: 2011-09-29 Assigned To: Christopher Hlubek
Updated: 2011-10-14 Due date:
PHP Version:
Has patch:
Complexity:
Affected Flow version:
Subject: Access denied exception after session timeout with CSRF
Description

An access of a CSRF protected action with an invalidated session throws an Exception (e.g. 
\TYPO3\FLOW3\Security\Exception\AccessDeniedException). This exception cannot be catched in any way. Also a reauthentication
using an entry point is not possible right now.

Associated revisions
Revision 0edbd68a - 2011-10-14 13:51 - Christopher Hlubek

[BUGFIX] Fix access denied exception after session timeout with CSRF

This change nests the firewall inspection in the try catch block that
also catches AuthenticationRequired exceptions from requests. The
CsrfProtection pattern will check if any CSRF token is present in the
context and throws an AuthenticationRequired exception otherwise to
proceed to an entry point for re-authentication.

Change-Id: If2c9c6386a2ee26195073a359dcf87db515d1dc0
Resolves: #30436

History
#1 - 2011-09-29 17:42 - Christopher Hlubek
- Tracker changed from Feature to Bug

#2 - 2011-09-29 17:46 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change If2c9c6386a2ee26195073a359dcf87db515d1dc0 has been pushed to the review server.
It is available at http://review.typo3.org/5444

#3 - 2011-09-29 18:02 - Mr. Hudson

Patch set 2 of change If2c9c6386a2ee26195073a359dcf87db515d1dc0 has been pushed to the review server.
It is available at http://review.typo3.org/5444

#4 - 2011-10-12 18:04 - Mr. Hudson
Patch set 3 of change If2c9c6386a2ee26195073a359dcf87db515d1dc0 has been pushed to the review server.
It is available at http://review.typo3.org/5444

#5 - 2011-10-14 13:52 - Mr. Hudson

Patch set 4 of change If2c9c6386a2ee26195073a359dcf87db515d1dc0 has been pushed to the review server.
It is available at http://review.typo3.org/5444

#6 - 2011-10-14 14:06 - Christopher Hlubek
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:0edbd68a074a248a8ddd4b023002a7a51e98ca48.
